ant-ivyde

Clone Tools
  • last updated 28 mins ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Happy new year

    • -1
    • +1
    /org.apache.ivyde.eclipse.resolvevisualizer.feature/feature.xml
restore empty folders

    • -0
    • +0
    /test/bom-ivy-file/src/.gitkeep
    • -0
    • +0
    /test/branch/src/.gitkeep
    • -0
    • +0
    /test/custom-attributes/src/.gitkeep
    • -0
    • +0
    /test/envvar/src/.gitkeep
    • -0
    • +0
    /test/http-settings/src/.gitkeep
    • -0
    • +0
    /test/include-properties/src/.gitkeep
    • -0
    • +0
    /test/include-settings/src/.gitkeep
    • -0
    • +0
    /test/ivy-base-dir/src/.gitkeep
    • -0
    • +0
    /test/ivy-external-location/src/.gitkeep
    • -0
    • +0
    /test/ivy-parent/src/.gitkeep
    • -0
    • +0
    /test/ivy-user-dir/src/.gitkeep
    • -0
    • +0
    /test/ivyde-namespace/src/.gitkeep
    • -0
    • +0
    /test/javadocs/src/.gitkeep
    • -0
    • +0
    /test/linked-folder/src/.gitkeep
  1. … 31 more files in changeset.
Update release notes

This closes #1

ivyde is now under git

fix updatesite doc

Fix for the user-selected configurations not being checked in the viewer

When you have an ivy.xml that extends another module and that other

module defines some configurations, it occurred that calling

settingsSetupTab.init(conf.isSettingsProjectSpecific(),

conf.getIvySettingsSetup());

would cause the configurations being set again, because the

ModifyListener of ivyUserDirEditor would fire and cause

reinitialization.

Make the CI build rely on the latest build of Ivy

update doap-file after git-migration

adding IntelliJ Idea control files to .gitignore

IVYDE-363: a test project for a ssh resolver

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1593862 13f79535-47bb-0310-9956-ffa450edef68

    • -0
    • +7
    /test/ssh-resolver/.classpath
    • -0
    • +18
    /test/ssh-resolver/.project
    • -0
    • +29
    /test/ssh-resolver/build.xml
    • -0
    • +31
    /test/ssh-resolver/ivy.xml
    • -0
    • +28
    /test/ssh-resolver/ivysettings.xml
Fix the way Ivy's extra info where used

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1593859 13f79535-47bb-0310-9956-ffa450edef68

basic support for the workspace resolver to find OSGi bundles managed by Ivy in the workspace (Ivy 2.4.0-rc2 is required)

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1592248 13f79535-47bb-0310-9956-ffa450edef68

Add type parameters

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1592245 13f79535-47bb-0310-9956-ffa450edef68

Configuring Eclipse to compile for java 1.6

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1592239 13f79535-47bb-0310-9956-ffa450edef68

    • -24
    • +275
    /org.apache.ivyde.eclipse.resolvevisualizer/.settings/org.eclipse.jdt.core.prefs
    • -5
    • +5
    /org.apache.ivyde.eclipse/.settings/org.eclipse.jdt.core.prefs
- fix how IvyDE handle access rules on inner jars - some Eclipse bundles are referencing inexistant inner jar: handle it gently

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1590419 13f79535-47bb-0310-9956-ffa450edef68

IVYDE-362: Typo in IvyResolveJob (thanks to Nicolas Gavalda)

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1590230 13f79535-47bb-0310-9956-ffa450edef68

IVYDE-361: Deadlock in classpath container

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1590228 13f79535-47bb-0310-9956-ffa450edef68

Update release notes

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1587670 13f79535-47bb-0310-9956-ffa450edef68

Actually Ivy 2.4 is needed for inner classpath support: activate the feture only if the expected API is available

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1587669 13f79535-47bb-0310-9956-ffa450edef68

stick with the API 2.3 of Ivy

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1587540 13f79535-47bb-0310-9956-ffa450edef68

Use the proper build properties to change the source and target version of javac

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1587207 13f79535-47bb-0310-9956-ffa450edef68

fix javac source and target

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1587170 13f79535-47bb-0310-9956-ffa450edef68

Add proper support for OSGi bundles with embedded jars

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1587111 13f79535-47bb-0310-9956-ffa450edef68

Happy new year

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1555378 13f79535-47bb-0310-9956-ffa450edef68

    • -1
    • +1
    /org.apache.ivyde.eclipse.resolvevisualizer.feature/feature.xml
Better wording

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1555377 13f79535-47bb-0310-9956-ffa450edef68

version bump

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1553933 13f79535-47bb-0310-9956-ffa450edef68

    • -1
    • +1
    /org.apache.ivyde.eclipse.resolvevisualizer.feature/feature.xml
Change the eclipse classpath so it uses Java 6

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1550959 13f79535-47bb-0310-9956-ffa450edef68

    • -1
    • +1
    /org.apache.ivyde.eclipse.resolvevisualizer/.classpath
We now require java 6

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1550954 13f79535-47bb-0310-9956-ffa450edef68

    • -1
    • +1
    /org.apache.ivyde.eclipse.resolvevisualizer/META-INF/MANIFEST.MF
We now require java 6

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1550953 13f79535-47bb-0310-9956-ffa450edef68

fix NOTICE

git-svn-id: https://svn.apache.org/repos/asf/ant/ivy/ivyde/trunk@1550943 13f79535-47bb-0310-9956-ffa450edef68